Bug Hunting Session
Bug 75304 - VIEWING: Links with other spreadsheet having Text fields shows #REF! error
Summary: VIEWING: Links with other spreadsheet having Text fields shows #REF! error
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: BSA target:4.3.0 target:4.2.3
Keywords: possibleRegression, regression
Depends on:
Blocks:
 
Reported: 2014-02-21 08:26 UTC by pharmankur
Modified: 2015-12-15 22:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original spreadsheet file for which I am getting the error (86.81 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2014-02-21 08:26 UTC, pharmankur
Details
Test file opening with LO 4.2.1 - Dont Update Links (150.30 KB, image/png)
2014-02-21 08:31 UTC, pharmankur
Details
Test file opening with LO 4.2.1 - #REF! Error is seen for Text References only (145.67 KB, image/png)
2014-02-21 08:32 UTC, pharmankur
Details
Test file opening with Gnumeric - Error is NOT seen (145.97 KB, image/png)
2014-02-21 08:33 UTC, pharmankur
Details
Test file opening with LO 4.1.5 - Dont Update Links (179.03 KB, image/png)
2014-02-21 08:34 UTC, pharmankur
Details
Test file opening with LO 4.1.5 - Error is NOT seen (174.12 KB, image/png)
2014-02-21 08:35 UTC, pharmankur
Details
Libreoffice 4.2.4 still has the same bug (134.00 KB, image/png)
2014-05-09 13:40 UTC, pharmankur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pharmankur 2014-02-21 08:26:29 UTC
Created attachment 94482 [details]
Original spreadsheet file for which I am getting the error

Problem description: Cells with Links referring to other spreadsheet which have 'Text' shows #REF! error. But similar cells which have 'Numbers' shows up well.

Steps to reproduce:
1. Using Libreoffice 4.2.1; Open the attached file - sales view file - Test 
2. Do not Update the Links
3. Still you will see #REF! error in the cells which are having 'Text' in reference links, but the cells fields having numbers shows up perfectly (in spite of having similar reference links)

If the same file is opened (without updating links) using gnumeric or Libreoffice 4.1.5 ; This error is not seen.  

Expected behavior: LO 4.2 should at least open .xlsx which 4.1.5 is opening well

              
Operating System: Ubuntu
Version: 4.2.0.4 release
Last worked in: 4.1.5.1 rc
Comment 1 pharmankur 2014-02-21 08:31:27 UTC
Created attachment 94483 [details]
Test file opening with LO 4.2.1 - Dont Update Links
Comment 2 pharmankur 2014-02-21 08:32:25 UTC
Created attachment 94485 [details]
Test file opening with LO 4.2.1 - #REF! Error is seen for Text References only
Comment 3 pharmankur 2014-02-21 08:33:43 UTC
Created attachment 94486 [details]
Test file opening with Gnumeric - Error is NOT seen
Comment 4 pharmankur 2014-02-21 08:34:32 UTC
Created attachment 94488 [details]
Test file opening with LO 4.1.5 - Dont Update Links
Comment 5 pharmankur 2014-02-21 08:35:11 UTC
Created attachment 94489 [details]
Test file opening with LO 4.1.5 - Error is NOT seen
Comment 6 Kohei Yoshida 2014-02-22 16:14:17 UTC
Confirmed, with the master branch build. I'm pretty sure it's there in the 4.2.x branch build as well.
Comment 7 Kohei Yoshida 2014-02-24 18:53:03 UTC
I'm looking into it.
Comment 8 Commit Notification 2014-02-24 21:05:27 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3cf0847e7514a3f1217554c08cb109902cf2a637

fdo#75304: Add test for external reference cache import from XLSX.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-02-24 21:05:43 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4917cebdb988223be47b0f1a82241ade643bc675

fdo#75304: Set external reference info to ScCompiler.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Kohei Yoshida 2014-02-24 21:06:01 UTC
4.2 backport request: https://gerrit.libreoffice.org/8212
Comment 11 Commit Notification 2014-02-27 16:21:49 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=86af0776a09fd49cbd8339350e3b699100c0142a&h=libreoffice-4-2

fdo#75304: Set external reference info to ScCompiler.


It will be available in LibreOffice 4.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Kohei Yoshida 2014-02-27 16:24:35 UTC
Fixed in 4.2.3.
Comment 13 pharmankur 2014-05-09 13:38:37 UTC
Dear, Kohei Yoshida

It's not fixed completely. I am using Libreoffice 4.2.4 

Steps to reproduce:
1. Using Libreoffice 4.2.1; Open the attached file - sales view file - Test.xlsx
2. It will ask 'This file contains links to other files. Should they be updated?'  ... click NO , & It will open showing all the data.
3. type someting in an empty cell & delete is again so that 'Save' option gets enabled. Save the file again & close it.
4. When you open the file again, now the data is missing.

Find attached the screenshot when file is reopened & data is missing.
Comment 14 pharmankur 2014-05-09 13:40:25 UTC
Created attachment 98758 [details]
Libreoffice 4.2.4 still has the same bug
Comment 15 Kohei Yoshida 2014-05-09 13:42:57 UTC
(In reply to comment #14)
> Created attachment 98758 [details]
> Libreoffice 4.2.4 still has the same bug

Please file a new bug for that.  with xlsx, import and export have totally different state of completion.
Comment 16 pharmankur 2014-05-09 13:49:05 UTC
But in 4.1.5 the same used to work. :(
Comment 17 Kohei Yoshida 2014-05-09 13:49:59 UTC
(In reply to comment #16)
> But in 4.1.5 the same used to work. :(

So file a new bug so we can fix it.
Comment 18 pharmankur 2014-05-09 14:14:38 UTC
Reported ... Bug 78490 
.... as you wish. :P

chk it
Comment 19 Robinson Tryon (qubit) 2015-12-15 22:10:12 UTC
Migrating Whiteboard tags to Keywords: (PossibleRegression)
[NinjaEdit]